<!-- docs/_sidebar.md -->

# [Installation + Tech Notes](/)

* [Installation](/)

# [FAQ](/faq)

# [Usage](/how-to)

* [How To](/how-to)

    * [Getting Started](/getting-started)
    * [Video Tutorials](/example-videos)
    * [Workspaces](/workspaces)
    * [Loading Data](/loading-data)
    * [Basic Data Exploration](/basic-data-exploration)
        * [Intermediate Data Manipulation](/data-manipulation)
        * [Custom `.S` Functionality](/dot-S-functionality)
        * [Custom `.T` Functionality](/dot-T-functionality)
    * [Curve Fitting](/curve-fitting)
    * [K-space Conversion](/k-space-conversion)
    * [Fermi Edge Corrections](/fermi-edge-corrections)
    * [Interactive Analysis Tools](/interactive)
    * [Statistics](/statistics)
    * [Advanced Plotting](/advanced-plotting)
        * [Stack Plots](/stack-plots)
        * [Brillouin Zones](/brillouin-zones)
        * [Fermi Surfaces](/fermi-surfaces)
        * [3D Cut Plots](/3d-cut-plots)
        * [Spin-ARPES Plots](/spin-arpes)
        * [Ultrafast-ARPES Plots](/tr-arpes)
        * [Annotations](/annotations)
        * [Labeling + Utilities](/plotting-utilities)
    * [Adding a Beamline/Lab Source](/writing-plugins)
    * [Contributing](/contributing)
    * [Customization and Notes on Juypyter](/customization)
    
* [ARPES](/th-arpes)
    * [Details: Momentum Conversion](/momentum-conversion)
    * [Single Particle Spectral Function](/single-particle-spectral)
    * [Electron Diffraction](/electron-diffraction)
    
    
* [Topics](/how-to)
    * [Igor Pro](/igor-pro)
    * [Condensed Matter Physics Software Stack](/cmp-stack)
    * [Analysis Spreadsheets](/spreadsheets)
    * [Spectra + Data Representation](/spectra)
    * [Adding Interactive Tools](/writing-interactive-tools)
    * [Data Sources I: Basic Plugins](/writing-plugins-basic)
    * [Data Sources II: Plugins in Depth](/writing-plugins)
    * [Data Provenance](/data-provenance)
    * [Phenomenological and Detector Models](/modeling)
    * [Developer's Guide](/dev-guide)
