# Videos Illustrating Basic Usage Cases

Python and Jupyter can be less than inviting, even if they are among the best tools currently
available for scientists. Here are some videos showing how to perform common tasks in 
Python, PyARPES, and Jupyter that should help get you started.

### Installation on Windows

This video shows how to install PyARPES on Windows using Miniconda.

<figure>
  <iframe width="560" height="315" src="https://www.youtube.com/embed/scBfg6g4y-4" frameborder="0" 
          allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>
  </iframe>
  <figcaption>A demonstration of how to install PyARPES on Windows in PowerShell.</figcaption>
</figure>


### Different Ways of Loading Data

There are a few different ways of ingesting data in PyARPES. This example takes us 
through them and contrasts the requirements and advantages of each.

<figure>
  <iframe width="560" height="315" src="https://www.youtube.com/embed/rE1O8P9J0yQ" frameborder="0" 
          allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>
  </iframe>
  <figcaption>
    In PyARPES, we can indicate where data came from with `location=`, or 
    let PyARPES try to guess for us.
  </figcaption>
</figure>
 

### Introduction to Curve Fitting

This is a short tutorial video on curve fitting with LmFit and automating curve fitting 
tasks in PyARPES.

<figure>
  <iframe width="560" height="315" src="https://www.youtube.com/embed/nzfpXDgdrds" frameborder="0" 
          allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>
  </iframe>
  <figcaption>
    PyARPES provides utilities for performing single curve fits, many curve fits,
    and broadcasting operations across collections.
  </figcaption>
</figure>

<div style="display: none">
### IPython Startup: Adding Default Imports and Running Code Automatically

This video shows how to customize what code gets imported and run when you start 
an IPython notebook.

<figure>
  <figcaption>
    Using an IPython startup configuration makes it more convenient to
    restart your kernel, and incentivizes splitting your analysis across
    several notebooks.
  </figcaption>
</figure>


### Configuring Matplotlib Styles

This shows how to adjust the styles `matplotlib` uses when it outputs graphics. 

<figure>
  <figcaption>
    PyARPES includes some default styles that extend Seaborn's. You can use these
    or consider this a tutorial on modifying the default appearance of your plots
    and figures. 
  </figcaption>
</figure>
</div>